name: HDMI-001S
description: connector, HDMI, receptacle
datasheet: https://datasheet.lcsc.com/lcsc/2008152133_XUNPU-HDMI-001S_C720616.pdf

pinout:
  AV:
    CK:
      CK+: 10
      CK-: 12
    D0:
      D0+: 7
      D0-: 9
    D1:
      D1+: 4
      D1-: 6
    D2:
      D2+: 1
      D2-: 3
  CEC: 13
  utility/HEAC+: 14
  DDC:
    SCL: 15
    SDA: 16
  GND: 17
  5V: 18
  HPD/HEAC-: 19
  SHIELD:
    SIGNAL:
      CKS: 11
      D0S: 8
      D1S: 5
      D2S: 2
    SHELL: S1, S2, S3, S4

properties:
  power: 5V
  ground: GND
  passive: SHIELD

schematic:
  symbol: connector
  right: AV
  left: DDC, CEC, utility/HEAC+, HPD/HEAC-
  top: 5V
  bottom: GND, SHELL, SIGNAL

housing:
  pattern: custom
  bodyWidth: 15.0
  bodyLength: 12.15
  height: 6.2

  # pads
  padWidth: 0.30
  padHeight: 2.60
  pitch: 0.50
  rowCount: 1
  columnCount: 19
  rowDX: 0
  rowDY: 4.235 # 12.15/-2+9.55+2.06-2.60/2

  # mounting tab front
  numbers1: S1, S2
  slotWidth1: 0.9
  slotHeight1: 1.6
  padWidth1: 1.5
  padHeight1: 2.3
  padPosition1: -7.25, -2.485, 7.25, -2.485 # 14.5/2, -(12.15 / 2 - 9.55 + 5.96)

  # mounting tab back
  numbers2: S3, S4
  slotWidth2: 0.9
  slotHeight2: 2.70
  padWidth2: 1.5
  padHeight2: 3.40
  padPosition2: -7.25, 3.475, 7.25, 3.475 # 14.5/2, -(12.15 / 2 - 9.55)

